[Numpy-discussion] building numpy with python3.7

Charles R Harris charlesr.harris at gmail.com
Thu Jan 18 12:19:26 EST 2018


On Thu, Jan 18, 2018 at 8:54 AM, Andras Deak <deak.andris at gmail.com> wrote:

> Hello,
>
> After failing with several attempts to build numpy on python 3.7.0a4,
> the combo that worked with pip was
> cython 0.28a0 (current master)
> numpy 1.15.0.dev0 (current master)
> in a fresh, clean venv.
> Older cython (0.27.3 where the aforementioned issue seems to have been
> solved https://github.com/cython/cython/issues/1955) didn't help.
> Stable numpy 1.14.0 didn't seem to work even with cython master.
> This seems to be the same setup that Thomas mentioned, I mostly want
> to note that anything less doesn't seem to compile yet.


Where did you get 1.14.0 source? If it was with pip, it was generated using
cython 0.26.1.

Chuck
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/numpy-discussion/attachments/20180118/2a2be8eb/attachment.html>


More information about the NumPy-Discussion mailing list